<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Свежие новости - Добавление статьи');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Свежие новости </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/allnews" rel="v:url" property="v:title">Свежие новости</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавить статью</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM gazeta_cat WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
if ($b['jur'] == 0 OR $b == false) {
header('location: /');
die();
}
echo '<div class="catSides"><a href="/allnews"><i class="md-format-list-bulleted"></i> Свежие новости</a> - <a href="category.html?id='.$arr['id'].'"> '.$arr['name'].'</a> - Добавить статью</div>';
if (isset($_POST['add'])) {
if (empty($_POST['name']) OR empty($_POST['text'])) {
err('Введите название и содержание!');
} elseif (!preg_match('/[А-яA-z0-9]/i', $_POST['name'])) {
err('Заполните название!');
} else {
DB::$dbs->query("INSERT INTO gazeta_article SET name = ?, text = ?, cid = ?, user_id = ?, time= ?", [check($_POST['name']),check($_POST['text']),$id,$b['id'],time()]);
$last = DB::$dbs->lastInsertId();
lenta(Nick($b['id']).' добавил новую <a href="/allnews/news.html?id='.$last.'">[статью]</a> в Газете.');
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [1,$b['id']]);
header('location: news.html?id='.$last);
}
}
echo '<div class="row text_box"><form action="?id='.$id.'" method="POST">Название:<br/> <input type="text" class="form-control" name="name"/><br/>Содержание:<br/><textarea name="text" class="form-control" rows="3"></textarea><br/><input type="submit" class="btn btn-primary" name="add" value="Добавить"/></form></div>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>